List repositories
curl --request GET \
--url https://app.launchdarkly.com/api/v2/engineering-insights/repositories \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/engineering-insights/repositories"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/engineering-insights/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalCount": 1,
"items": [
{
"_id": "5f9a9b1a-5b9a-4b9a-9a9a-9a9a9a9a9a9a",
"version": 1,
"key": "launchdarkly/LaunchDarkly-Docs",
"type": "github",
"url": "https://github.com/launchdarkly/LaunchDarkly-Docs",
"mainBranch": "main",
"projects": {
"totalCount": 123,
"items": [
{
"_id": "57be1db38b75bf0772d11383",
"_links": {
"environments": {
"href": "/api/v2/projects/example-project/environments",
"type": "application/json"
},
"self": {
"href": "/api/v2/projects/example-project",
"type": "application/json"
}
},
"key": "project-key-123abc",
"name": "Example project"
}
],
"_links": {}
}
}
],
"_links": {}
}{
"code": "invalid_request",
"message": "validation failed",
"errors": [
{
"attribute": "projectKey",
"reason": "must be present"
}
]
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}List repositories
Get a list of repositories
Expanding the repository collection response
LaunchDarkly supports expanding the repository collection response to include additional fields.
To expand the response, append the expand query parameter and include the following:
projectsincludes details on all of the LaunchDarkly projects associated with each repository
For example, use ?expand=projects to include the projects field in the response. By default, this field is not included in the response.
GET
/
api
/
v2
/
engineering-insights
/
repositories
List repositories
Authorizations
Query Parameters
Expand properties in response. Options: projects